<script setup>
import { ref, computed } from "vue";
const props = defineProps({
	offset: {
		type: Array,
		default() {
			return [0, 0];
		},
	},
	width: {
		type: [Number, String],
		default: 14,
	},
	color: {
		type: String,
		default: "#804000",
	},
});

const points = computed(() => {
	return [
		[props.width / -2, 0],
		[props.width / 2, 0],
		[0, props.width],
	];
});
</script>

<template>
  <g ref="g" :transform="'translate(' + offset.join(',') + ')'">
    <polygon
      :points="points.join(' ')"
      :stroke="color"
      style="fill: none; stroke-width: 2"
    />
  </g>
</template>

<style scoped lang="less"></style>
